Gecode::Driver::StringOption::Value Class Reference

Option value. More...

`#include <driver.hh>`

## Public Attributes

int | val
| Value for an option value.
const char * | opt
| String for option value.
const char * | help
| Optional help text.
Value * | next
| Next option value.

## Detailed Description

Option value.

Definition at line 177 of file driver.hh.

## Member Data Documentation

## val

int Gecode::Driver::StringOption::Value::val

Value for an option value.

Definition at line 179 of file driver.hh.

## opt

const char* Gecode::Driver::StringOption::Value::opt

String for option value.

Definition at line 180 of file driver.hh.

## help

const char* Gecode::Driver::StringOption::Value::help

Optional help text.

Definition at line 181 of file driver.hh.

## next

Value* Gecode::Driver::StringOption::Value::next

Next option value.

Definition at line 182 of file driver.hh.

The documentation for this class was generated from the following file:

- gecode/driver.hh